Форум программистов, компьютерный форум CyberForum.ru

Программирование iOS/iPhone

Войти
Регистрация
Восстановить пароль
 
 
Рейтинг: Рейтинг темы: голосов - 16, средняя оценка - 4.81
Moon Speak
5 / 5 / 0
Регистрация: 21.03.2015
Сообщений: 108
#1

Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? - Программирование iOS/iPhone

15.06.2015, 23:25. Просмотров 2072. Ответов 22
Метки нет (Все метки)

Ничего в этом пока не смыслю. На новый макбук денег нет - рассматриваю варианты б/у, приценяюсь. Может, придется купить несколько сломанных б/у и сделать 1 рабочий, или даже собрать из запчастей.
Не хотелось бы потратить немалые все же деньги, массу энергии на близкие отношения с крестовой отверткой (хорошо, если не паяльником, по аналогии с IBM-ноутами представляю какая там ювелирная пайка понадобится) - и в итоге получить аппарат, слишком старый и потому негодный для разработки...
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
15.06.2015, 23:25     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac?
Посмотрите здесь:

Обязательно ли наличие Mac OS X, чтобы программировать для iOS?
Литература по iOS, Objective-C, Mac OS X, iPhone, iPad, and iPod
Подключение базы данных к приложению под Mac Objective-C
Можно ли разрабатывать приложения для iOS на старом Mac? Objective-C
Mac для программирования под IOS
на чем писать чтобы работало и на ios и на андрюшке и х86?
Программирование на Mac OS X Objective-C
После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
vitalik_a
4 / 4 / 1
Регистрация: 11.09.2014
Сообщений: 81
16.06.2015, 08:53     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #2
Ничего в этом пока не смыслю
А обычный комп есть?
Лучше начать на виртуальной машине.

Добавлено через 8 минут
Правда у виртуальной машины есть очень существенный недостаток, последняя версия операционной системы на виртуальных машинах очень тормозит, приходится работать на предпоследней

Добавлено через 1 минуту
и в результате нельзя обновить xcode до последней
Moon Speak
5 / 5 / 0
Регистрация: 21.03.2015
Сообщений: 108
16.06.2015, 10:20  [ТС]     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #3
vitalik_a,
А обычный комп есть?
Есть-то он есть, но у него 1 ГГц процессора и 4 ГБ ОЗУ. Так что виртуалка отпадает, хоть на последней, хоть на предпоследней.
К тому же, это нарушает лицензию. Я и без того за свою жизнь достаточно всего с...ил, а тут еще и убогий Apple обкрадывать...

и в результате нельзя обновить xcode до последней
А зачем ее обновлять? Какие это возможности дает?
Чем плох сильно устаревший xCode? Это отсутствие каких-то мелких плюшек (как у Visual Studio - что 2008, что 2015, по сути одно и то же), или это полная невозможность писать под iOS и Mac? Какая самая старшая версия xCode, которую можно использовать в этих целях?
vitalik_a
4 / 4 / 1
Регистрация: 11.09.2014
Сообщений: 81
16.06.2015, 12:10     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #4
К тому же, это нарушает лицензию. Я и без того за свою жизнь достаточно всего с...ил, а тут еще и убогий Apple обкрадывать...
я выбрал для разработки виртуальную машину, потому что привык к виндовсу и переход на другую ОС создаст много неудобств, поэтому покупал новый комп с i7 и ssd, чтобы виртуальная машина открывалась как обычное окно

А зачем ее обновлять? Какие это возможности дает?
я ещё не полностью с этим разобрался, но вроде в AppStore доступны только последние версии программ и они могут требовать для установки последнюю версию ОС. То есть на предпоследнюю XCode просто не установится.

Например сейчас я разбираюсь с Google Maps SDK, в инструкции по его установке требуется новая версия XCode, пока я поставил предыдущую версию SDK, но думаю это только начало проблем.
Moon Speak
5 / 5 / 0
Регистрация: 21.03.2015
Сообщений: 108
16.06.2015, 12:29  [ТС]     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #5
vitalik_a,
я ещё не полностью с этим разобрался, но вроде в AppStore доступны только последние версии программ и они могут требовать для установки последнюю версию ОС. То есть на предпоследнюю XCode просто не установится.

Например сейчас я разбираюсь с Google Maps SDK, в инструкции по его установке требуется новая версия XCode, пока я поставил предыдущую версию SDK, но думаю это только начало проблем.
А если я куплю очень старый макбук, то смогу его легально проапгрейдить? Какая новейшая версия Mac? Какая старейшая версия Mac, которая апгрейдится до новейшей?
Или они вообще не апгрейдятся? Так это же обдираловка тогда - куплю я допустим новейший макбук, а пройдет еще годика 2 - и появится еще более новый, опять заново покупай...

Обязателен ли xCode? xCode - это только IDE, или и компилятор тоже? Никакой компилятор не входит в Mac из коробки?

Например сейчас я разбираюсь с Google Maps SDK
Ну это ИМХО потеря не велика. Можно тупо WebView использовать (или как уж там браузерный движок называется), в нем отображать html-страничку, а там уж и карта.
Другое дело, когда еще и браузер устаревший и не отображает карты как следует. Например, Android 2.3 не поддерживает яндекс.карты 2.1 - вообще API работает, но карта не отображается
Vorona
Peace 2 all shining faces
666 / 528 / 44
Регистрация: 05.03.2010
Сообщений: 1,271
16.06.2015, 18:51     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #6
я бы советовал взять мак мини для начала для таких целей, новый он стоит $600, аналогичный макбук стоит $1300
можно поискать бу
конечно 8гб озу было бы идеально для начала, но если будет 4, то и это не беда, в модели 2012 года вроде можно добавлять озу, так что норм

начинал я с виртуальной машины + хакинтош, это тот еще гемор
но потом взяли на работу и первое, на что я потратил деньги, это мак мини 2012 года с 4гб озу
когда мне стало нехватать 4гб, я купил планку на 8 и у меня стало 10гб, этого мне хватило с головой, а вообще можно 16гб максимум поставить и это прекрасно
ну а потом я уже купил себе макбук с 16гб и ссд диском и теперь я просто в сказке
lvlkoo
.NET C#,ASP.NET MVC
334 / 290 / 101
Регистрация: 16.10.2010
Сообщений: 1,286
Завершенные тесты: 2
16.06.2015, 23:02     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #7
Vorona, Ну а всетаки, на сколько валидная апликация написаная на макосе с виртуалкой? Я накатил завииртуаленую 10.10 и xcode. Собственно говоря интересно получиться ли с нее опублииковатся?
П.С Сколько там деваккаунт стоит?
vitalik_a
4 / 4 / 1
Регистрация: 11.09.2014
Сообщений: 81
17.06.2015, 21:05     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #8
10.10 и xcode
и работает без сильных тормозов?

Сколько там деваккаунт стоит?
$99
lvlkoo
.NET C#,ASP.NET MVC
334 / 290 / 101
Регистрация: 16.10.2010
Сообщений: 1,286
Завершенные тесты: 2
18.06.2015, 10:17     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #9
Цитата Сообщение от vitalik_a Посмотреть сообщение
и работает без сильных тормозов?
Да, вполне себе адекватно. Выделял под систему 4г РАМ
vitalik_a
4 / 4 / 1
Регистрация: 11.09.2014
Сообщений: 81
18.06.2015, 10:56     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #10
странно, я пробовал yosemite и она работала с очень сильными тормозами (как видео в замедленном просмотре), то есть работать на ней невозможно и на рутрекере писали что вроде бы у всех так, надо ждать пока исправят

при этом maverick в окне wmvare летает, приложения в xcode запускаются 3-5 секунд, переключение между окнами мгновенное, как между простыми прогами в виндовсе
Duzekrutov
20 / 20 / 1
Регистрация: 22.01.2013
Сообщений: 160
19.06.2015, 10:07     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #11
Не понимаю - на виртуалках не работает эмулятор! Как можно что то отладить без эмулятора?
glvrzzz
95 / 71 / 12
Регистрация: 12.12.2012
Сообщений: 214
19.06.2015, 13:46     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #12
Во-первых, симулятор, а не эмулятор.
Во-вторых, работает (Если правильный процессор и правильно настроена вм)
В-третьих, отлаживать все равно надо на девайсах.
Vorona
Peace 2 all shining faces
666 / 528 / 44
Регистрация: 05.03.2010
Сообщений: 1,271
20.06.2015, 06:35     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #13
подтверждаю, все работает и работало как минимум с времен снежного леопарада, и даже на амд, с этого я и начинал
одни называют это везением, я же склоняюсь к тому, что руки должны рости из нужного места

насчет девелоперской программы за $99 в год
последние новости таковы, что на xcode 7 можно будет бесплатно тестировать на девайсе
https://developer.apple.com/xcode/

так что покупайте мак мини 2012 года, чтобы на него можно было добавить озу, это самый отличный эконом вариант плюс мощность можно поднять до 16гб, единственное что может смущать это жесткий диск, не уверен или есть версии мак мини с ссд, в которых можно увеличивать озу
но в любом случае мак мини можно даже новый взять за те же деньги что и бу макбук, плюс добавить озу
Duzekrutov
20 / 20 / 1
Регистрация: 22.01.2013
Сообщений: 160
20.06.2015, 15:58     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #14
Цитата Сообщение от glvrzzz Посмотреть сообщение
Во-вторых, работает (Если правильный процессор и правильно настроена вм)
*Очень интересно... У меня процессор intel I7 16Gb...И как настроить виртуалку ?

Цитата Сообщение от glvrzzz Посмотреть сообщение
В-третьих, отлаживать все равно надо на девайсах.
Хотите сказать что отлаживать сразу на девайсах ? Так что можно через виртуалку сразу на девайс залить ?
lvlkoo
.NET C#,ASP.NET MVC
334 / 290 / 101
Регистрация: 16.10.2010
Сообщений: 1,286
Завершенные тесты: 2
20.06.2015, 17:46     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #15
Цитата Сообщение от Duzekrutov Посмотреть сообщение
Хотите сказать что отлаживать сразу на девайсах ? Так что можно через виртуалку сразу на девайс залить ?
В теории банальный пеберос юсб, главное что виртуальный макос увидел подключенный девайс
vitalik_a
4 / 4 / 1
Регистрация: 11.09.2014
Сообщений: 81
22.06.2015, 12:00     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #16
Хотите сказать что отлаживать сразу на девайсах ? Так что можно через виртуалку сразу на девайс залить ?
виртуалка видит девайс так же как и реальный комп
Duzekrutov
20 / 20 / 1
Регистрация: 22.01.2013
Сообщений: 160
23.06.2015, 10:55     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #17
glvrzzz, где посмотреть те настройки чтобы заработал симулятор ?
kievkao
42 / 42 / 2
Регистрация: 22.11.2012
Сообщений: 225
13.08.2015, 17:43     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #18
Тема, вроде, подходит, хотел бы задать похожий вопрос:

У меня Macbook Pro 13" 2011, которому я в свое время нарастил оперативку до 8Гб.
В принципе, работает сносно, но подумываю поставить туда еще SSD.

Как вы считаете, стоит тратить деньги на относительно недешевый SSD, или ноут такого возраста и конфигурации (все-таки 2016 скоро) особо нет смысла апгрейдить и лучше подождать годик, пока он окончательно морально устареет и взять актуальную ретину?
Vorona
Peace 2 all shining faces
666 / 528 / 44
Регистрация: 05.03.2010
Сообщений: 1,271
14.08.2015, 01:02     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #19
я бы прошку брал нормальную, правда на 16гб, либо просто последний макбук 2015, он того стоит
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
23.01.2016, 13:19     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac?
Еще ссылки по теме:

Objective-C релизная сборка приложения под MAC
С чего начать прогать для iOS? Обязательно ли для этого иметь Mac? Или же, можно и на Win?
Как начать писать под iOS?
Рекомендуемые тех. характеристики mac mini для программирования на iOS
С чего начать писать под ios? Swift

Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
maysan
0 / 0 / 0
Регистрация: 23.01.2016
Сообщений: 10
23.01.2016, 13:19     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac? #20
Сойдет и обычный мак мини - это самый дешевый вариант. Только брать нужно не старше 2012 года. Вот здесь в первом уроке https://www.youtube.com/playlist?lis...EBGP8HMtMXyPEc рассказывается на какие машинки можно поставить Xcode. Хорошие уроки кстати и остальные несколько. Уж лучше на стационарных мониторах однозначно чем на 13 дюймах программировать. Но выбор дело вкуса)
Yandex
Объявления
23.01.2016, 13:19     Какой нужен макбук, чтобы писать под современные iOS и Mac? Минимальная версия Mac?
Ответ Создать тему
Опции темы

Текущее время: 20:58. Часовой пояс GMT +3.
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru